import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import {Einkaufszettel1Component} from "./components/einkaufszettel1/einkaufszettel1.component";
import {HomeComponent} from "./components/home/home.component";
import {Einkaufszettel2Component} from "./components/einkaufszettel2/einkaufszettel2.component";

const routes: Routes = [
  { path: '', redirectTo: 'home', pathMatch: 'full'},
  { path: 'home', component: HomeComponent},
  { path: 'einkaufszettel1', component: Einkaufszettel1Component},
  { path: 'einkaufszettel2', component: Einkaufszettel2Component},
  { path: '**', redirectTo: 'home'}
];

@NgModule({
  imports: [RouterModule.forRoot(routes)],
  exports: [RouterModule]
})
export class AppRoutingModule { }
